<html>
<!-- $RCSfile: MS-DAMNU.TPL $ $Revision: 1.27 $ -->
<!-- (C) Copyright 2002 Compaq Information Technologies Group, L.P. -->
<head>
<title>Drive Array Menu</title>

<!#/COMMON/PAGETAGS.TPL>

<script language="JavaScript">
<!cpqDaCntlrEntry>
<!cpqDaLogDrvEntry>
<!cpqDaSpareEntry>
<!cpqDaPhyDrvEntry>
<!cpqDaTapeDrvEntry>
<!cpqDaTapeLibraryEntry>
<!cpqSsDrvBoxEntry>
<!cpqSsChassisEntry>
<!cpqSsScsiAttachmentEntry>

<!#/COMMON/COND.JS>
<!#/COMMON/STDITEMS.JS>
<!#/COMMON/TABLES.JS>
<!#/COMMON/NAVTABLE.JS>
<!#/COMMON/PARSEARG.JS>
<!#/COMMON/DISPBASE.JS>
<!#DAENUMS.JS>
<!#MS-DACMN.JS>

function writeTableText(text)
{
   document.write("<tr><td align='left' colspan='4'>", 
      navTableText(text), "</td></tr>");
}
</script>
</head>
<script language="JavaScript">

writeBodyHead();

if (window.name == 'submenu')
{
   targetPage = "SUBFRAME.TPL?currentSubmenu=CQMGSTOR/MS-FCMNU.TPL&index=";
   target = "subdata";
}
else // No frames mode
{
   targetPage = "CQMGSTOR/MS-FCMNU.TPL?index=";
   target= "_self";
}
idx = 0;
cntlrIdx = findArg("index");

if (cntlrIdx == -1)
{
   parseArgs(tryPrevPage());
   cntlrIdx = findArg("index");
}
for (idx = 0; idx < cpqDaCntlrEntry.length; idx++)
{
   if (cpqDaCntlrEntry[idx].cpqDaCntlrIndex == cntlrIdx)
      break;
}
if (idx >= cpqDaCntlrEntry.length)
{
   reportMissingArgs();
}
else
{
   cntlrCondition = new cpqCondition(cpqDaCntlrEntry[idx].cpqDaCntlrCondition);
   writeSmallTableLabel(cntlrCondition.image() + daCntlrName(idx));
   writeTableHead();
   
   boardCond = new cpqCondition();
   tmpCond = new cpqCondition();
   showStatus   = false;
   activeExists = false;
   backupExists = false;
   controllerRole = "";
   noDrives = "None";

   if (cpqDaCntlrEntry[idx].cpqDaCntlrCurrentRole != "undefined")
   {
      if (cpqDaCntlrEntry[idx].cpqDaCntlrCurrentRole == 3)
      {
         backupExists = true;
         controllerRole = "Active";
         if (cpqDaCntlrEntry[idx].cpqDaCntlrPartnerSlot != -1)
            showStatus = true;
      }
      else if (cpqDaCntlrEntry[idx].cpqDaCntlrCurrentRole == 4 &&
               cpqDaCntlrEntry[idx].cpqDaCntlrPartnerSlot == -1)
      {
         activeExists = true;
         controllerRole = "Backup";
         if (cpqDaCntlrEntry[idx].cpqDaCntlrRedundancyType == 3)
            noDrives = "On Other Server";
      }
      boardCond.set(cpqDaCntlrEntry[idx].cpqDaCntlrBoardCondition);
   }
   if (showStatus)
      writeNavTableRow(controllerRole + daCntlrBoardName(idx),
          "CQMGSTOR/MS-DACTL.TPL?index=" + cntlrIdx, boardCond.imageSmall(), target);
   else 
      writeNavTableRow("Controller", "CQMGSTOR/MS-DACTL.TPL?index=" + cntlrIdx, 
                       boardCond.imageSmall(), target);
   if (backupExists)
   {
      if (cpqDaCntlrEntry[idx].cpqDaCntlrPartnerSlot != -1)
      {
         for (backIdx = 0; backIdx < cpqDaCntlrEntry.length; backIdx++)
         {
            if (cpqDaCntlrEntry[idx].cpqDaCntlrPartnerSlot == cpqDaCntlrEntry[backIdx].cpqDaCntlrSlot)
            {
               boardCond.set(cpqDaCntlrEntry[backIdx].cpqDaCntlrBoardCondition);
               writeNavTableRow("Backup " + daCntlrBoardName(backIdx),
                   "CQMGSTOR/MS-DACTL.TPL?index=" + cpqDaCntlrEntry[backIdx].cpqDaCntlrIndex, 
                   boardCond.imageSmall(), target);

               if (cpqDaCntlrEntry[backIdx].cpqDaCntlrDriveOwnership == 2) 
                  // this cntlr owns the drives!!
                  cntlrIdx = cpqDaCntlrEntry[backIdx].cpqDaCntlrIndex;
               break;
            }
         }
      }
      else  // Backup controller on other server
      {
         if (cpqDaCntlrEntry[idx].cpqDaCntlrRedundancyType == 3)
            writeTableText("Backup Controller on Other Server:");
         else
            writeTableText("Backup Controller Unknown");
      }
   }

   if (activeExists)
   {
      if (cpqDaCntlrEntry[idx].cpqDaCntlrRedundancyType == 3)
         writeTableText("Active Controller on Other Server");
      else
         writeTableText("Active Controller Unknown");
   }
   writeTableText("Physical Drives:");
   count = 0;
   for (i = 0; i < cpqDaPhyDrvEntry.length; i++)
   {
      if (cpqDaPhyDrvEntry[i].cpqDaPhyDrvCntlrIndex == cntlrIdx)
      {
          count++;
          tmpCond.set(cpqDaPhyDrvEntry[i].cpqDaPhyDrvCondition);
          writeNavTableRow(phyDrvName(i), "CQMGSTOR/MS-DAPHY.TPL?index=" + i,
             tmpCond.imageSmall(), target);
      }
   }
   if (count == 0)
   {
      writeNavTableRow(noDrives, null, "", target);
   }
   writeTableText("Logical Drives:");
   count = 0;
   for (i = 0; i < cpqDaLogDrvEntry.length; i++)
   {
      if (cpqDaLogDrvEntry[i].cpqDaLogDrvCntlrIndex == cntlrIdx)
      {
          count++;
          tmpCond.set(cpqDaLogDrvEntry[i].cpqDaLogDrvCondition);
          writeNavTableRow(logDrvName(i), "CQMGSTOR/MS-DALOG.TPL?index=" + i,
              tmpCond.imageSmall(), target);
      }
   }
   if (count == 0)
   {
      writeNavTableRow(noDrives, null, "", target);
   }

   count = 0;
   for (i = 0; i < cpqDaTapeDrvEntry.length; i++)
   {
      if ((cpqDaTapeDrvEntry[i].cpqDaTapeDrvLibraryDrive == 3) &&
          (cpqDaTapeDrvEntry[i].cpqDaTapeDrvCntlrIndex == cntlrIdx))
         count++;
   }
   if (count > 0)
   {
      writeTableText("Tape Drives:");
      for (i = 0; i < cpqDaTapeDrvEntry.length; i++)
      {
         if ((cpqDaTapeDrvEntry[i].cpqDaTapeDrvLibraryDrive == 3) &&
             (cpqDaTapeDrvEntry[i].cpqDaTapeDrvCntlrIndex == cntlrIdx))
         {
            tmpCond.set(cpqDaTapeDrvEntry[i].cpqDaTapeDrvCondition);
            writeNavTableRow(daTapeDriveName(i), "CQMGSTOR/MS-DTAPE.TPL?index=" + i,
               tmpCond.imageSmall(), target);
            writeNavTableRow("", null, "", target);
         }
      }
   }

   count = 0;
   for (i = 0; i < cpqDaTapeLibraryEntry.length; i++)
   {
      if (cpqDaTapeLibraryEntry[i].cpqDaTapeLibraryCntlrIndex == cntlrIdx)
         count++;
   }
   if (count > 0)
   {
      writeTableText("Tape Storage Systems:");

      for (i = 0; i < cpqDaTapeLibraryEntry.length; i++)
      {
         if (cpqDaTapeLibraryEntry[i].cpqDaTapeLibraryCntlrIndex == cntlrIdx)
         {
            tmpCond.set(cpqDaTapeLibraryEntry[i].cpqDaTapeLibraryOverallCondition);
            writeNavTableRow(daTapeLibraryName(i), "CQMGSTOR/MS-DTLIB.TPL?libindex=" + i,
               tmpCond.imageSmall(), target);
            writeNavTableRow("", null, "", target);
         }
      }
   }
   writeTableText("Storage Boxes:");
   count = 0;
   
   if (cpqDaCntlrEntry[idx].cpqDaCntlrNumberOfBuses == "")
   {
      cpqDaCntlrEntry[idx].cpqDaCntlrNumberOfBuses = 4;
   }
   for (i = 0; i < cpqSsDrvBoxEntry.length; i++)
   {
      if (cpqSsDrvBoxEntry[i].cpqSsBoxCntlrIndex == cntlrIdx &&
          cpqSsDrvBoxEntry[i].cpqSsBoxBusIndex <= cpqDaCntlrEntry[idx].cpqDaCntlrNumberOfBuses)
      {
         count++;
         tmpCond.set(cpqSsDrvBoxEntry[i].cpqSsBoxCondition);
         writeNavTableRow(boxName(i), "CQMGSTOR/MS-DABOX.TPL?index=" + i, tmpCond.imageSmall(), target);
      }
   }
   // Voyager CL 
   for (n = 0; n < cpqSsChassisEntry.length; n++)
   {
      for (i = 0; i < cpqSsScsiAttachmentEntry.length; i++)
      {
         if (cpqSsScsiAttachmentEntry[i].cpqSsScsiAttachmentControllerIndex == cntlrIdx &&
             cpqSsScsiAttachmentEntry[i].cpqSsScsiAttachmentChassisIndex ==
             cpqSsChassisEntry[n].cpqSsChassisIndex)
         {
            count++;
            port = cpqSsScsiAttachmentEntry[i].cpqSsScsiAttachmentControllerPort;
            tmpCond.set(cpqSsChassisEntry[n].cpqSsChassisOverallCondition);
            writeNavTableRow(storageSysName(n, port), targetPage + n, tmpCond.imageSmall(),"_parent");
            break;
         }
      }
   }
   if (count == 0) writeNavTableRow("None", null, "", target);
   
   writeTableTail();
}
writeBodyTail();
</script>
</html>
