<html>
<!-- $RCSfile: MS-FCCON.TPL $ $Revision: 1.27 $ -->
<!-- (C) Copyright 2002 Compaq Information Technologies Group, L.P. -->
<head>
<title>External Storage Connections</title>

<!#/COMMON/PAGETAGS.TPL>

<script language="JavaScript">
contextHelp = true;

<!cpqSsChassisEntry>
<!cpqSsFibreAttachmentEntry>
<!cpqFcaHostCntlrEntry>
<!cpqFcaHostCntlrStorBoxList.raw>
<!cpqFcTapeCntlrEntry>
<!cpqFcaHostCntlrTapeCntlrList.raw>
<!cpqFcSwitchEntry>
<!cpqSsScsiAttachmentEntry>
<!cpqDaCntlrEntry>

<!#/COMMON/COND.JS>
<!#/COMMON/STDITEMS.JS>
<!#/COMMON/TABLES.JS>
<!#/COMMON/PARSEARG.JS>
<!#/COMMON/DISPBASE.JS>
<!#FCAENUMS.JS>
<!#MS-FCCMN.JS>
<!#DAENUMS.JS>
<!#SSENUMS.JS>

// Makes a link that wipes out stored "currentPage" so that when SUBFRAME.TPL
// is reloaded it will go to first link in menu, not the connections page
function pageMakeLink(linkHref, linkText, target)
{
   var absoluteHref="";
   var firstChar = linkHref.charAt(0);

   if (firstChar != "/" && firstChar != "\\")
      absoluteHref = webagentTemplateBase;
   absoluteHref += linkHref;
   return("<a href=\"" + absoluteHref + "\" target=\"" + target +
      "\" onclick=\"configSet(currentPage, configDefaults[currentPage]);handleMenuHighlighting(\'" + linkHref +
      "\', \'" + target + "\');\">" + linkText + "</a>");
}
function IsDuplicate(index, list, count)
{
   var n;
   for (n = 0; n < count; n++)
      if (list[n] == index)  return true;
   return false;
}
function controllerSlot(idx)
{
   var slot = "N/A";
   if (cpqDaCntlrEntry[idx].cpqDaCntlrHwLocation != "") 
   	  slot = cpqDaCntlrEntry[idx].cpqDaCntlrHwLocation;
   else if (cpqDaCntlrEntry[idx].cpqDaCntlrSlot == 0)
      slot = "on System Board";
   else if (cpqDaCntlrEntry[idx].cpqDaCntlrSlot > 0)
      slot = cpqDaCntlrEntry[idx].cpqDaCntlrSlot;
   return slot;
}
function displayStorageBoxes(cntlrIdx)
{
   var n, k;
   var port;
   var ssName = "";
   var listCount = 0;
   var portList = new Array();
   var boxCond = new cpqCondition();
   
   for (n = 0; n < cpqSsScsiAttachmentEntry.length; n++)
   {
      if (cpqSsScsiAttachmentEntry[n].cpqSsScsiAttachmentControllerIndex == cntlrIdx)
      {
         port = cpqSsScsiAttachmentEntry[n].cpqSsScsiAttachmentControllerPort;
         
         if (listCount <= 0 || !IsDuplicate(port, portList, listCount))
         {
            portList[listCount] = port;
            listCount++;
         
            for (k = 0; k < cpqSsChassisEntry.length; k++)
            {
               if (cpqSsScsiAttachmentEntry[n].cpqSsScsiAttachmentChassisIndex ==
                   cpqSsChassisEntry[k].cpqSsChassisIndex)
               {
                  boxCond.set(cpqSsChassisEntry[k].cpqSsChassisOverallCondition);
                  writeDoubleTableRow("Storage System:", boxCond.imageSmall() +  pageMakeLink(fcTarget+k, fcChassisName(k), target),
                     "Controller Bus:", port);
                  writeDoubleTableRow("","","","");
                  displayPaths(cntlrIdx, cpqSsChassisEntry[k].cpqSsChassisIndex, port);
                  break;
               } 
            }
         } 
      }
   }
}
function displayPaths(cntlrIdx, boxIdx, port)
{
   var i;
   var pathStatus = "";
   var pathCond = new cpqCondition();
   for (i = 0; i < cpqSsScsiAttachmentEntry.length; i++)
   {
      if (cpqSsScsiAttachmentEntry[i].cpqSsScsiAttachmentControllerIndex == cntlrIdx &&
          cpqSsScsiAttachmentEntry[i].cpqSsScsiAttachmentChassisIndex == boxIdx &&
          cpqSsScsiAttachmentEntry[i].cpqSsScsiAttachmentControllerPort == port)
      {
         pathCond.set(cpqSsScsiAttachmentEntry[i].cpqSsScsiAttachmentPathCondition);   
         pathStatus =  "IO Slot " + displayItem("cpqSsScsiAttachmentChassisIoSlot", cpqSsScsiAttachmentEntry[i].cpqSsScsiAttachmentChassisIoSlot);
         pathStatus += " Path Status " + displayItem("cpqSsScsiAttachmentPathStatus", cpqSsScsiAttachmentEntry[i].cpqSsScsiAttachmentPathStatus); 
         writeDoubleTableRow("", pathCond.imageSmall() + pathStatus, "", "");
         writeDoubleTableRow("","","","");
      }
   }
}
</script>
</head>

<script language="JavaScript">

if (window.name == 'dataframe')
{
   fcTarget = "SUBFRAME.TPL?currentSubmenu=CQMGSTOR/MS-FCMNU.TPL&index=";
   ftTarget = "SUBFRAME.TPL?currentSubmenu=CQMGSTOR/MS-FTMNU.TPL&index=";
}
else  // No frames mode
{
   fcTarget = "CQMGSTOR/MS-FCMNU.TPL?index=";
   ftTarget = "CQMGSTOR/MS-FTMNU.TPL?index=";
}
target = "_self";

writeBodyHead();
writePageHead("External Storage Connections", "/WEBAGENT/IMAGES/MASSHDR.GIF");

if (cpqFcaHostCntlrEntry.length > 0)
{
   indexList = new Array();
   tmpCond = new cpqCondition();

   for (i = 0; i < cpqFcaHostCntlrEntry.length; i++)
   {
      with(cpqFcaHostCntlrEntry[i])
      {
         tmpCond.set(cpqFcaHostCntlrCondition);
         writeTableLabel(tmpCond.image() + displayItem("cpqFcaHostCntlrModel", cpqFcaHostCntlrModel), "HBA Information");
         writeTableHead();
         writeDoubleTableRow(
            "Status:", displayItem("cpqFcaHostCntlrStatus", cpqFcaHostCntlrStatus),
            "World Wide Port Name:", displayItem("cpqFcaHostCntlrWorldWidePortName", cpqFcaHostCntlrWorldWidePortName));
         writeDoubleTableRow(
            "Slot:", hostControllerSlot(cpqFcaHostCntlrSlot),
            "World Wide Node Name:", displayItem("cpqFcaHostCntlrWorldWideName", cpqFcaHostCntlrWorldWideName));
         writeDoubleTableRow(
            "Serial Number:", displayItem("cpqFcaHostCntlrSerialNumber", cpqFcaHostCntlrSerialNumber),
            "", "");
         document.write("<tr><td colspan='8'><hr></hr></td></tr>");

         // Fibre Storage Systems
         indexCount = 0;
         for (j = 0; j < window.cpqFcaHostCntlrStorBoxList[i].length; j += 2)
         {
            ssIndex = parseInt(window.cpqFcaHostCntlrStorBoxList[i][j]) + 
                               window.cpqFcaHostCntlrStorBoxList[i][j+1] * 0x100;

            for (k = 0; k < cpqSsChassisEntry.length; k++)
            {
               if (cpqSsChassisEntry[k].cpqSsChassisIndex == ssIndex)
               {
                  if (indexCount <= 0 || !IsDuplicate(ssIndex, indexList, indexCount))
                  {
                     indexList[indexCount] = ssIndex;
                     indexCount++;
                     tmpCond.set(cpqSsChassisEntry[k].cpqSsChassisOverallCondition);
                     ssName = getStatusNameTable(tmpCond.imageSmall(), pageMakeLink(fcTarget+k, fcChassisName(k), target));
                     if (indexCount == 1)
                        writeDoubleTableRow("Storage Systems:", ssName, "IO Slot:", boxIoSlot(k, cpqFcaHostCntlrIndex));
                     else
                        writeDoubleTableRow("", ssName, "IO Slot:", boxIoSlot(k, cpqFcaHostCntlrIndex));
                  }
                  break;
               }
            }
         }
         if (indexCount < 1)
            writeSingleTableRowInDoubleTable("Storage Systems:", "None");
         
         // Fibre Tape Controller
         indexCount = 0;
         writeDoubleTableRow("","","","");
         for (j = 0; j < window.cpqFcaHostCntlrTapeCntlrList[i].length; j += 2)
         {
            tcIndex = parseInt(window.cpqFcaHostCntlrTapeCntlrList[i][j]) + 
                               window.cpqFcaHostCntlrTapeCntlrList[i][j+1] * 0x100;

            for (k = 0; k < cpqFcTapeCntlrEntry.length; k++)
            {
               if (cpqFcTapeCntlrEntry[k].cpqFcTapeCntlrIndex == tcIndex)
               {
                  if (indexCount <= 0 || !IsDuplicate(tcIndex, indexList, indexCount))
                  {
                     indexList[indexCount] = tcIndex;
                     indexCount++;
                     tmpCond.set(cpqFcTapeCntlrEntry[k].cpqFcTapeCntlrOverallCondition);
                     tcName = getStatusNameTable(tmpCond.imageSmall(), pageMakeLink(ftTarget+k 
                                 +"&cntlrIndex="+ cpqFcTapeCntlrEntry[k].cpqFcTapeCntlrIndex, fcTapeCntlrName(k), target));
                     if (indexCount == 1)
                        writeSingleTableRowInDoubleTable("Tape Controllers:", tcName);
                     else
                        writeSingleTableRowInDoubleTable("", tcName);
                  }
                  break;
               }
            }
         }
         if (indexCount < 1)
            writeSingleTableRowInDoubleTable("Tape Controllers:", "None");

         // Fibre Channel Switches
         indexCount = 0;
         tmpCond.set(1);
         writeDoubleTableRow("","","","");
         for (j = 0; j < cpqSsFibreAttachmentEntry.length; j++)
         {
            for (k = 0; k < cpqFcSwitchEntry.length; k++)
            {
               if (cpqSsFibreAttachmentEntry[j].cpqSsFibreAttachmentDeviceType == 4 &&
                   cpqSsFibreAttachmentEntry[j].cpqSsFibreAttachmentDeviceIndex ==
                   cpqFcSwitchEntry[k].cpqFcSwitchIndex &&
                   cpqSsFibreAttachmentEntry[j].cpqSsFibreAttachmentHostControllerIndex == 
                   cpqFcaHostCntlrIndex)
               {
                  if (indexCount <= 0 || !IsDuplicate(cpqFcSwitchEntry[k].cpqFcSwitchIndex, indexList, indexCount))
                  {
                     indexList[indexCount] = cpqFcSwitchEntry[k].cpqFcSwitchIndex;
                     indexCount++;
                     swName = getStatusNameTable(tmpCond.imageSmall(), pageMakeLink("CQMGSTOR/MS-FCSW.TPL?index=" + k, 
                                 fcSwitchName(k), target));
                     if (indexCount == 1)
                        writeSingleTableRowInDoubleTable("Switches:", swName);
                     else
                        writeSingleTableRowInDoubleTable("", swName);
                  }
                  break;
               }
            }
         }
         if (indexCount < 1) writeSingleTableRowInDoubleTable("Switches:", "None");

         writeTableTail();
      }
      document.write("<br>");
   }
}
// SCSI Connection Paths
if (cpqSsScsiAttachmentEntry.length > 0)
{
   indexCount = 0;
   indexList = new Array();
   tmpCond = new cpqCondition();

   for (i = 0; i < cpqSsScsiAttachmentEntry.length; i++)
   {
      for (j = 0; j < cpqDaCntlrEntry.length; j++)
      {
         if (cpqSsScsiAttachmentEntry[i].cpqSsScsiAttachmentControllerIndex == 
             cpqDaCntlrEntry[j].cpqDaCntlrIndex)
         {
            if (indexCount <= 0 || !IsDuplicate(cpqDaCntlrEntry[j].cpqDaCntlrIndex, indexList, indexCount))
            {
               indexList[indexCount] = cpqDaCntlrEntry[j].cpqDaCntlrIndex;
               indexCount++;
               tmpCond.set(cpqDaCntlrEntry[j].cpqDaCntlrCondition);
               writeTableLabel(tmpCond.image() + displayItem("cpqDaCntlrModel", cpqDaCntlrEntry[j].cpqDaCntlrModel), "HBA Information");
               writeTableHead();
               writeDoubleTableRow(
                  "Status:", displayItem("cpqDaCntlrBoardStatus", cpqDaCntlrEntry[j].cpqDaCntlrBoardStatus),
                  "Firmware Version:", displayItem("cpqDaCntlrFWRev", cpqDaCntlrEntry[j].cpqDaCntlrFWRev));
               writeDoubleTableRow("Slot:", controllerSlot(j),
                  "Serial Number:", displayItem("cpqDaCntlrSerialNumber", cpqDaCntlrEntry[j].cpqDaCntlrSerialNumber));
               document.write("<tr><td colspan='8'><hr></hr></td></tr>");
               displayStorageBoxes(cpqSsScsiAttachmentEntry[i].cpqSsScsiAttachmentControllerIndex)
               writeTableTail();
               document.write("<br>");
            }
            break;
         }
      }
   }
}
if (cpqFcaHostCntlrEntry.length <= 0 && cpqSsScsiAttachmentEntry.length <= 0)
   writeOneItemTableRow("None");

writeBodyTail();
</script>
</html>

