
#ifndef MULTI_DIST_H
#define MULTI_DIST_H
#define _LOOSE_KERNEL_NAMES	 //Mandrek 7.1

#ifndef __KERNEL__
#  define __KERNEL__
#endif
#ifndef MODULE
#  define MODULE
#endif

#define __BOOT_KERNEL_H_

#ifndef OS_SMP
#define OS_SMP 0
#endif
#if OS_SMP==1
#define __SMP__
#define __BOOT_KERNEL_SMP 1
#ifdef __BOOT_KERNEL_UP
#undef __BOOT_KERNEL_UP
#endif
#if defined(Suse7_0) || defined(Suse7_1) 
#ifdef ASSEMBLY
#  undef ASSEMBLY
#endif
#ifndef CONFIG_X86_LOCAL_APIC
#  define CONFIG_X86_LOCAL_APIC
#endif
#elif defined(Turbo6_0)
#ifdef ASSEMBLY
#  undef ASSEMBLY
#endif
#ifndef CONFIG_X86_LOCAL_APIC
#  define CONFIG_X86_LOCAL_APIC
#endif
#endif
#else
#ifdef __BOOT_KERNEL_SMP
#undef __BOOT_KERNEL_SMP
#endif
#define __BOOT_KERNEL_UP 1
#define __MODULE_KERNEL_i686 1
#endif

#ifndef OS_SYMBOL
#define OS_SYMBOL 1
#endif
#if OS_SYMBOL==1
#if !defined(Redhat7_2) && !defined(Redhat7_3) && !defined(Redhat8_0)
	#include <linux/autoconf.h>
#endif
#if defined(CONFIG_MODVERSIONS) && !defined(MODVERSIONS)
#	define MODVERSIONS
#endif

#if defined(Redhat7_1)
#define __NO_VERSION__
#include <linux/module.h>
#endif

#ifdef MODVERSIONS
#	include <linux/modversions.h>
#endif
#endif

#if !defined(Redhat7_1)
#define __NO_VERSION__
#include <linux/module.h>
#endif
//#include <linux/version.h>

#include <linux/kernel.h> /* printk() */
#if OS_SMP==0
#ifdef smp_num_cpus
	#undef smp_num_cpus
#endif
#ifdef smp_call_function
	#undef smp_call_function
#endif
#ifdef smp_processor_id
	#undef smp_processor_id
#endif
#ifdef cpu_data
	#undef cpu_data
#endif
#endif

#if !defined(Redhat7_2) && !defined(Redhat7_3) && !defined(Redhat8_0)
	#include <linux/malloc.h>	   /* kmalloc() */
#else
	#include <linux/slab.h>	   /* kmalloc() */
#endif
//#include <linux/vmalloc.h>	  /* kmalloc() */
//#include <linux/fs.h>		   /* everything... */
#include <linux/errno.h>		/* error codes */
//#include <linux/types.h>		/* size_t */
#include <linux/proc_fs.h>
//#include <linux/fcntl.h>		/* O_ACCMODE */
//#include <linux/notifier.h>
//#include <linux/miscdevice.h>
//#include <linux/timer.h>
//#include <linux/sched.h>
//#include <linux/slab.h>
//#include <linux/securebits.h>
//#include <linux/reboot.h>
#include <linux/pci.h>
#include <linux/utsname.h>

//#include <asm/system.h>		 /* cli(), *_flags */
//#include <asm/segment.h>		/* memcpy and such */
#if !defined(Redhat7_1) && !defined(Redhat7_2) && !defined(Suse7_1) && !defined(Suse7_2) && !defined(Redhat7_3) && !defined(Redhat8_0)
//	#include <asm/spinlock.h>
#endif
#include <asm/delay.h>
//#include <asm/io.h>
#include <asm/uaccess.h>
//#include <asm/processor.h>
//
#endif
