#
#
# This script installs ProLiant value add software.
#
# Executing environment should be the /tmp/csp directory.
#
# CGreen 9-13-02 - Added rc.config edit to disable sendmail autostart

# install the support software
rpm -ihv --force ucdsnmp-*.rpm
rpm -ihv cpqhealth-*.rpm
rpm -ihv cpqci-*.rpm
rpm -ihv cpqrid-*.rpm
rpm -ihv cpqriis-*.rpm

if uname -r | grep -q SMP 
then
	rpm -ihv bcm5700-*.i386.rpm --force
	depmod
fi
export CMAFDTNSILENT=yes
rpm -ihv cmafdtn-*.rpm
rpm -ihv cmasvr-*.rpm
rpm -ihv cmastor-*.rpm
rpm -ihv cmanic-*.rpm

if lsmod | grep -q cciss
then
	rpm -ihv cpq_cciss_*.rpm
fi

if lsmod | grep -q cpqarray
then
	rpm -ihv cpq_cpqarray_*.rpm
fi

# Turn off sendmail in rc.config and run SuSEconfig
sed -e "s/SMTP=\"yes\"/SMTP=\"no\"/g" /etc/rc.config > /etc/rc.config.new
mv /etc/rc.config.new /etc/rc.config
/sbin/SuSEconfig

exit 0


